import java.io.*; //java girdi cikti sinifini cagir
class randeneme
{
public static double  gaussrandom(double xort,double r)
{ int iset=0;
 double gset=0;
 double fac,rsq,v1,v2;
 double aret=0;
 if(iset==0)
 {
   do{
	 v1=2.0*Math.random()-1.0;
	 v2=2.0*Math.random()-1.0;
	 rsq=v1*v1+v2*v2;  
     }while(rsq>=1.0 || rsq==0.0);	   
   fac=Math.sqrt(-2.0*Math.log(rsq)/rsq);
   gset=v1*fac;
   iset=1;
   aret=v2*fac;
 }
 else
 {
 iset=0;
 aret=gset;
 }
 return aret/8.0*r+xort;	
 }
 
public static void main(String args[])
 { 
  double xort,r;
  double gr=0;	 
  double x[]=new double[201];
  double y[]=new double[201];
  xort=0.0;
  r=2.0;	 
  for(int i=0;i<=200;i++) {x[i]=xort-r/2+r*(double)i/200.0;} 
  for(int i=0;i<=5000000;i++) 
     {gr=gaussrandom(xort,r);for(int j=0;j<200;j++){if(gr>=x[j] && gr< x[j+1]){y[j]+=1.0;}}}
  Plot pp=new Plot(x,y);
  pp.setColor(0,0,51,204);
  pp.setPlotType(0,41);
  pp.plot();
}
 }
